Bug 7342 - error opening security policy file - installation fails
error opening security policy file - installation fails
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
6.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael Fulbright
:
: 7201 7776 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-11-26 04:19 EST by rliston
Modified: 2008-05-01 11:37 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-04-21 09:51:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rliston 1999-11-26 04:19:18 EST
When I try to install red hat 6.1 in graphical mode I get this error after
completing the Disk Druid:

error opening security policy file
/user/X11R6/lib/X11/xserver/SecurityPolicy

The installation fails and the computer automatically reboots.
I received my distribution on CD-ROM from www.lsl.com

I have a Dell Dimension XPS T600 running Win98.

P.S. After perusing the message boards I found that several others also
have this problem (one has a DEC HiNote U2K Notebook, another is running
NT, 4 others are unspecified.) Nobody has found a solution.
Comment 1 Jay Turner 1999-11-29 10:10:59 EST
The SecurityPolicy message that you are getting is not actually an error, and
definitely not what is causing your machine to crash.  This message is just the
Xserver telling you that it is not able to authenticate the user who started the
Xserver . . . this makes sense considering that a "live" system is not running.

Please post further information about the failure that you are seeing and we
will try to replicate and get a solution to you.
Comment 2 rliston 1999-11-30 18:43:59 EST
Today I tried installing using the text install.

The error message this time was "install exited abnormally -- received signal
11 sending termination signals... done unmounting filesystems..."
Comment 3 enovik 1999-12-18 18:39:59 EST
I have exactly the same problem, when trying to run the installer.  I have a
dual Pentium 200 MMX (Tomcat IV board).  So far I was unable to get the product
installed because of this issue.  Under normal circumstances the machine is
booted with WinNT boot loader and contains multiple NT and win98 partitions
Comment 4 duffner 2000-01-07 10:22:59 EST
I also have the
"error opening security policy file
 /user/X11R6/lib/X11/xserver/SecurityPolicy"
error.
However, I get it straight after booting from the CD or the
updated 044 boot.img.
It puts me into a constant boot-reboot cycle.
Needless to say that this renders my CD-set wortless..., burned ISO-image or
not.


cheers,
Rainer
Comment 5 duffner 2000-01-09 12:24:59 EST
I have now solved this, by doing a text-install.
It would have been nice if the setup-utility had automatically fallen
back to this, instead of just rebooting.
I have had this error with two systems and both use the Mach64-X-Server.



cheers,
Rainer
Comment 6 Jay Turner 2000-02-22 13:21:59 EST
*** Bug 7201 has been marked as a duplicate of this bug. ***
Comment 7 Jay Turner 2000-02-22 13:51:59 EST
*** Bug 7776 has been marked as a duplicate of this bug. ***
Comment 8 Ken Smith 2000-02-29 09:48:59 EST
The same thing happened to me (Dell Optiplex GXa, 266 MHz PII, 96 MB RAM).  I
have a boxed set, purchased last week so I assume that it has the current boot
image, but all combinations failed, either with the auto-reboot or sig 11, at
least 30 times.  I finally succeeded with an "expert text" install, custom (I
have NT and need to preserve the MBR), avoiding DiskDruid and running fdisk
manually.  I have a 1 GB NT partition and created the /boot, swap and /
partitions as primary, totalling just over 1 GB.

Note You need to log in before you can comment on or make changes to this bug.